System - Confirm Provider Ticket Resolution (BETA)

Required roles: system-r, system-c

Accept or reject the resolution of a provider ticket (async).

Only for kpnwba incidents in status RESOLVED, where KPNWBA rejects regular updates. The current status
is returned by POST /support/provider-tickets/info/.

This endpoint returns immediately with a job_id. Use the
GET /support/provider-ticket-jobs/{job_id}/ endpoint to poll for the result.

KPNWBA: POST /confirm-resolution/

  • client_ticket_id: Zendesk ticket ID - when provided, a comment stating whether the resolution
    was accepted or re-opened is added to the linked Zendesk ticket
  • restoration_confirmation: Closed (resolution accepted) or Re-Open (resolution rejected)
  • additional_info: Reason for accepting or re-opening

Response:

  • job_id: UUID to poll for status
  • status: Initial status (pending)
  • message: Human-readable message
  • poll_url: URL to poll for job status
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params

API request wrapper for confirming the resolution of KPNWBA provider tickets.

const
enum
Defaults to kpnwba
Allowed:
provider_ticket_data
object
required

Ticket data for accepting or rejecting the resolution of a RESOLVED KPNWBA incident.

KPNWBA endpoint: POST /confirm-resolution/, which makes client_ticket_id and additional_info mandatory.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json